### Enumeration

# WPEWebKit CredentialPersistence

since: 2.2

#### Declaration

    enum WPEWebKit.CredentialPersistence

#### Description [src]

Enum values representing the duration for which a credential persists.

Available since: 2.2

#### Members

`WEBKIT_CREDENTIAL_PERSISTENCE_NONE`

  Credential does not persist.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.2
`WEBKIT_CREDENTIAL_PERSISTENCE_FOR_SESSION`

  Credential persists for session only.

  - Value: `1`
  - Nickname: `for-session`
  - Available since: 2.2
`WEBKIT_CREDENTIAL_PERSISTENCE_PERMANENT`

  Credential persists permanently.

  - Value: `2`
  - Nickname: `permanent`
  - Available since: 2.2